Redmine - Defect #3869

Crash on migrate_from_trac
2008-03-15 14:26 - John Goerzen

Status: Closed Start date: 2008-03-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Importers Estimated time: 0.00 hour
Target version: 0.7

Resolution: Fixed Affected version:

Description

This script has been working on most of my Trac instances. However, | am getting the below crash while it processes the tickets

from one of them:

Migrating components..

Migrating milestones....

Migrating custom fields

Migrating tickets...rake aborted!
undefined method "regexp' for nil:NilClass

/home/redmine/redmine/app/models/custom_value.rb:33:in ‘validate'
.2/1ib/active_record/validations.rb:963:in “valid_without_

/home/redmine/gems/gems/activerecord-2.
callbacks?'
/home/redmine/gems/gems/activerecord-2.
/home/redmine/gems/gems/activerecord-2.
ociated_records_for_custom_values'
/home/redmine/gems/gems/activerecord-2.
:in “each'
/home/redmine/gems/gems/activerecord-2.
:in “send'
/home/redmine/gems/gems/activerecord-2.
:in "method_missing'
/home/redmine/gems/gems/activerecord-2.
b:162:in "method_missing'
/home/redmine/gems/gems/activerecord-2.
ociated_records_for_custom_values'
/home/redmine/gems/gems/activerecord-2.
/home/redmine/gems/gems/activerecord-2.
ns'
/home/redmine/gems/gems/activerecord-2.
/home/redmine/gems/gems/activerecord-2.
Sl
/home/redmine/gems/gems/activerecord-2.
callbacks?'
/home/redmine/gems/gems/activerecord-2.
/home/redmine/gems/gems/activerecord-2.
ransactions'
/home/redmine/gems/gems/activerecord-2.
/home/redmine/gems/gems/activerecord-2.
_statements.rb:66:in "“transaction’
/home/redmine/gems/gems/activerecord-2.
/home/redmine/gems/gems/activerecord-2.
/home/redmine/gems/gems/activerecord-2.
/home/redmine/gems/gems/activerecord-2.
ve_record_state!'
/home/redmine/gems/gems/activerecord-2.

/home/redmine/redmine/lib/tasks/migrate_from_trac.
/home/redmine/redmine/lib/tasks/migrate_from_trac.
/home/redmine/redmine/lib/tasks/migrate_from_trac.

/usr/lib/ruby/1.8/rake.rb:387:in “call’
/home/redmine/redmine/lib/tasks/migrate_from_trac.

.2/1ib/active_record/callbacks.rb:273:in “valid?'
.2/1lib/active_record/associations.rb:1072:in ‘validate_ass

.2/1lib/active_record/associations/association_proxy.rb:125

.2/1lib/active_record/associations/association_proxy.rb:125

.2/1lib/active_record/associations/association_proxy.rb:125

.2/1lib/active_record/associations/association_collection.r

.2/1lib/active_record/associations.rb:1067:1in

.2/1lib/active_record/validations.
.2/1lib/active_record/validations.

.2/1ib/active_record/validations.
.2/1lib/active_record/validations.

.2/1lib/active_record/validations.

rb
rb

rb
rb

rb

:1000:1in
:1000:1in

:998:1in
:998:1n

:962:1n

“validate_ass

‘send'
‘run_validatio

“each'
‘run_validation

“valid_without__

.2/1lib/active_record/callbacks.rb:273:in ‘valid?'
.2/1ib/active_record/validations.rb:933:in 'save_without_t

.2/1lib/active_record/transactions.rb:108:in
.2/1lib/active_record/connection_adapters/abstract/database

.2/1lib/active_record/transactions.
.2/1lib/active_record/transactions.
.2/1lib/active_record/transactions.
.2/1lib/active_record/transactions.

/usr/lib/ruby/1.8/rake.rb:387:in "execute'

/usr/lib/ruby/1.8/rake.rb:387:in “each'
2/lib/active_record/transactions.
rake:347:in ‘migrate'
rake:332:in “each'’
rake:332:in "migrate'’
rake:619

rb:
rb:
rb:
rb:

rb:

80:1in

100:in
108:in
120:in

108:1in

‘save'

‘transaction'
‘transaction'
‘save'
‘rollback_acti

‘save'
/usr/lib/ruby/1.8/rake.rb:387:in "“execute'
/usr/lib/ruby/1.8/rake.rb:357:in "~ invoke'
/usr/lib/ruby/1.8/thread.rb:135:in "synchronize'
/usr/lib/ruby/1.8/rake.rb:350:in " invoke'
/usr/lib/ruby/1.8/rake.rb:1906:in “run'
/usr/lib/ruby/1.8/rake.rb:1906:in “each’
/usr/lib/ruby/1.8/rake.rb:1906:in "run'
/usr/bin/rake:4

Associated revisions

Revision 1286 - 2008-03-21 22:37 - Jean-Philippe Lang

Trac importer: prevent validation failure due to the default value when saving the Resolution custom field if it already exists (#869).

History

#1 - 2008-03-15 14:41 - John Goerzen

It seems that all tickets that trigger this are marked closed in trac.
#2 - 2008-03-15 14:50 - John Goerzen
Found the problem, but not sure how to fix.

| have a global custom field set up named "Resolution”. It appears that migrate_from_trac is finding this, but crashes when a Trac ticket has a
resolution that does not occur in my global custom field in Redmine.

My workaround was to add trac names to my Redmine custom field.
#3 - 2008-03-21 22:39 - Jean-Philippe Lang
- Category set to Importers

- Target version setto 0.7

- Resolution set to Fixed

| could reproduce this problem. | guess it occured because you had a custom field named Resolution with a default value not in %w(fixed invalid
wontfix duplicate worksforme).

Fix applied in r1286.

#4 - 2008-03-26 23:58 - Jean-Philippe Lang

- Status changed from New to Resolved

#5 - 2008-03-30 00:02 - Jean-Philippe Lang

- Status changed from Resolved to Closed
